// set iframe url 
var popupUrl;
function initIframeUrl(loadIFrameUrl) {
	popupUrl = loadIFrameUrl;
}
//create bookNowBtn button
var button = document.createElement("button");
button.innerText = "Book Now";
button.id = "bookNowBtn";
button.style.position = "fixed";
button.style.bottom = "50px";
button.style.right = "50px";
button.style.padding = "10px 20px";
button.style.backgroundColor = "#4caf50";
button.style.color = "white";
button.style.border = "none";
button.style.borderRadius = "5px";
button.style.cursor = "pointer";
button.style.fontSize = "16px";
// Append the button to the body element
document.body.appendChild(button);


button.addEventListener("mouseenter", function () {
	button.style.backgroundColor = "#45a049";
});

button.addEventListener("mouseleave", function () {
	button.style.backgroundColor = "#4caf50";
});

var popOverlay = document.createElement("div");
popOverlay.id = "overlay";
popOverlay.className = "overlay";
popOverlay.style.display = "none";
popOverlay.style.position = "fixed";
popOverlay.style.top = "0";
popOverlay.style.left = "0";
popOverlay.style.width = "100%";
popOverlay.style.height = "100%";
popOverlay.style.backgroundColor = "rgba(0, 0, 0, 0.5)";
document.body.appendChild(popOverlay);

var popModal = document.createElement("div");
popModal.id = "modal";
popModal.className = "modal";
popModal.style.display = "none";
popModal.style.position = "fixed";
popModal.style.top = "50%";
popModal.style.left = "50%";
popModal.style.transform = "translate(-50%, -50%)";
popModal.style.backgroundColor = "#f0f0f2";
popModal.style.padding = "20px";
popModal.style.border = "1px solid #ccc";
popModal.style.borderRadius = "5px";
popModal.style.boxShadow = "0 2px 10px rgba(0, 0, 0, 0.1)";
popModal.style.margin = "0 auto";
popModal.style.width = "90%";
popModal.style.height = "90%";
popModal.innerHTML =
	'<span class="close-btn" style="position: absolute; top: -12px; right: 1px; cursor: pointer;font-size: 40px;" aria-hidden="true" id="closeModal">&times;</span>' +
	'<iframe src="" style="  width: 100%; height: 100%;" id="modelIframe" frameborder="0"></iframe>';
document.body.appendChild(popModal);

const popupIframe = document.getElementById("popupIframe");

const showModalButton = document.getElementById("bookNowBtn");
const closeModalButton = document.getElementById("closeModal");
const modal = document.getElementById("modal");
const overlay = document.getElementById("overlay");
const modelIframe = document.getElementById("modelIframe");

showModalButton.addEventListener("click", () => {
	modal.style.display = "block";
	overlay.style.display = "block";
	modelIframe.src = popupUrl;
});

closeModalButton.addEventListener("click", () => {
	modal.style.display = "none";
	overlay.style.display = "none";
	modelIframe.src = "";
});

overlay.addEventListener("click", () => {
	modal.style.display = "none";
	overlay.style.display = "none";
});
